cURL
curl --request POST \
--url https://api.patterns.company/v1/content \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prospect": "<string>",
"template": "<string>",
"language": "<string>",
"callback": "<string>"
}
'import requests
url = "https://api.patterns.company/v1/content"
payload = {
"prospect": "<string>",
"template": "<string>",
"language": "<string>",
"callback": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prospect: '<string>',
template: '<string>',
language: '<string>',
callback: '<string>'
})
};
fetch('https://api.patterns.company/v1/content', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"pattern": "<string>",
"user": "<string>",
"prospect": "<string>",
"template": "<string>",
"status": "waiting",
"language": "<string>",
"analytics": [
{
"id": "<string>",
"selector": "<string>",
"type": "view"
}
],
"content": [
{
"selector": "<string>",
"type": "text",
"payload": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"error": 123,
"message": "<string>"
}API Reference
Create content
Creates a new content in the organization
POST
/
content
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Content to add to the organization
Response
content response
ID of the content
Pattern you neet to pass into the page with a snippet
User who created the content
Prospect for whom the content is created
Template used for the content
Status of the content
Available options:
waiting, generating, completed Language of the content
Analytics of the content
Show child attributes
Show child attributes
Content of the content
Show child attributes
Show child attributes
Date and time when the content was created
Date and time when the content was last updated